-- toggle_minimap.lua

-- Configuration: Set these to true or false to control minimap visibility
local showMinimapOnFoot = false  -- Show minimap while on foot
local showMinimapInVehicle = true  -- Show minimap while in a vehicle

-- Main thread
Citizen.CreateThread(function()
    while true do
        -- Get the player's ped
        local playerPed = PlayerPedId()
        
        -- Check if the player is in a vehicle
        if IsPedInAnyVehicle(playerPed, false) then
            -- Set minimap visibility based on vehicle configuration
            DisplayRadar(showMinimapInVehicle)
        else
            -- Set minimap visibility based on foot configuration
            DisplayRadar(showMinimapOnFoot)
        end

        -- Wait for 100ms before checking again
        Citizen.Wait(100)
    end
end)
